Subject: Re: bug#67117: [PATCH] Tree-sitter: fix an issue when searching subtree backward

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Nov 2023 13:43:10 +0200

> From: Yuan Fu <[email-masked]>
> Date: Mon, 20 Nov 2023 20:23:33 -0800
> Cc: [email-masked],
>  [email-masked]
> 
> >>> Should we install this on the emacs-29 branch or on master?
> >> 
> >> Emacs-29, I’d say, since it’s a bug fix. Why do you ask?
> > 
> > Because I want to install it, obviously.
> 
> Of course ;-) I mean you are usually the people who answer this type of questions, and our convention is to install bug fixes on emacs-29, so I was wondering if there’s some other considerations that I don’t know about.

treesit.c and treesit.el got, and keep getting, significant changes on
the master branch, so when people report bugs for Emacs 30, I cannot
always be sure that the bug exists on the release branch as well, nor
that the patch is appropriate for the release branch (i.e. doesn't
modify code that is different on master).  That's why I asked.